package com.bytesw.baraja.cartas;

import com.bytesw.baraja.Palo;

public class CartaFigura extends Carta{
    private char letra;

    public CartaFigura(char letra, Palo palo) {
        super(palo);
        this.letra = letra;
    }

    @Override
    public String getRepresentacion() {
        return letra + " de " + super.getPalo();
    }

    public char getLetra() {
        return letra;
    }

    @Override
    public int getValor() {
        int valor=0;
        if (getLetra()=='J' || getLetra()=='Q' || getLetra()=='K') {
            valor = 10;
        } else if (getLetra()=='A') {
            valor = 1;
        }
        return valor;
    }

}
