package com.bytesw.baraja.cartas;

import com.bytesw.baraja.Palo;

public abstract class Carta {
    private Palo palo;

    public Carta(Palo palo) {
        this.palo = palo;
    }

    public Palo getPalo() {
        return palo;
    }

    public void mostrar(){
        System.out.println(getRepresentacion());
    }

    public abstract String getRepresentacion();

    public abstract int getValor();
}
