package com.bytesw.baraja.cartas;

import com.bytesw.baraja.Palo;

public class CartaNumero extends Carta{
    private int numero;

    public CartaNumero(int numero, Palo palo) {
        super(palo);
        this.numero = numero;
    }

    @Override
    public String getRepresentacion() {
        return numero + " de " + super.getPalo();
    }

    @Override
    public int getValor(){
        return numero;
    }


}
