package com.bytesw.juego;

import com.bytesw.baraja.Baraja;
import com.bytesw.baraja.cartas.Carta;

public class Crupier {
    private Mano mano;
    private Baraja baraja;

    public Crupier(Mano mano, Baraja baraja) {
        this.mano = mano;
        this.baraja = baraja;
    }

    //Obtener carta para darle al jugador
    public Carta sacarCartaDeLaBaraja(){
        return baraja.obtenerCartaAleatoriaDeLaBaraja();
    }

    //Crupier saca carta y la mete en la mano
    public void ponerEnLaManoLaCarta(Carta carta){
        mano.agregarCarta(carta);
    }

    //Verifica si el jugador supero el valor 21
    public boolean superoElValor21(){
        int suma= obtenerValorDeLaMano();
        boolean verificar=false;
        if (suma > 21) {
            verificar=true;
        }
        return verificar;
    }

    //Obtiene el valor de la mano la suma
    public int obtenerValorDeLaMano(){
        return mano.sumarCartasEnLaMano();
    }

}
